'use strict';
let h   = require('heroku-cli-util');
let api = require('./shared.js');

module.exports = {
  topic: 'redis',
  command: 'timeout',
  needsApp: true,
  needsAuth: true,
  args: [{name: 'database', optional: true}],
  flags: [{name: 'timeout', char: 't', hasValue: true}],
  description: 'Setup timeout settings',
  help: '',
  run: h.command(function* (context, heroku) {
    let addonsFilter = api.make_addons_filter(context.args.database);
    let addons = addonsFilter(yield heroku.apps(context.app).addons().list());
    if (addons.length === 0) {
      h.error('No redis databases found');
      process.exit(1);
    }
    let addon = addons[0];
    let config = yield api.request(context, addon.name + '/config', 'PATCH', { timeout: context.flags.timeout });
    console.log('Timeout for '+ addon.name +' ('+ addon.config_vars[0] +') set to '+ config.timeout.value +'.');
  })
};
